<template>
  <div class="about-bg-wave">
    <v-container fluid>
      <h1
        :class="
          $vuetify.breakpoint.smAndDown
            ? 'text-center main-color'
            : 'title-gutter text-center main-color'
        "
      >
        {{ $t('about.timelineHeader') }}
      </h1>
      <v-timeline
        reverse
        :dense="$vuetify.breakpoint.smAndDown"
        :class="$vuetify.breakpoint.smAndDown ? 'pa-1 ma-1' : 'pa-12 ma-12'"
      >
        <v-timeline-item
          v-for="(year, i) in years"
          :key="i"
          v-scrollAnime
          :color="year.color"
          small
        >
          <template v-slot:opposite>
            <span :class="`headline font-weight-bold ${year.color}--text`">
              {{ $t(`about.timeLine.${year.year}.time`) }}
            </span>
          </template>
          <div class="py-5">
            <div>
              {{ $t(`about.timeLine.${year.year}.text`) }}
            </div>
          </div>
        </v-timeline-item>
      </v-timeline>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'AboutTimeline',
  data: () => ({
    years: [
      {
        color: 'cyan',
        year: '1390',
      },
      {
        color: 'green',
        year: '1391',
      },
      {
        color: 'pink',
        year: '1392',
      },
      {
        color: 'amber',
        year: '1393',
      },
      {
        color: 'orange',
        year: '1394',
      },
      {
        color: 'red',
        year: '1396',
      },
      {
        color: 'blue',
        year: '1398',
      },
    ],
  }),
};
</script>
